From e56461300f50465fa67459ff8d0399e14b4f6afa Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Mon, 15 Jul 2019 18:54:22 +0200
Subject: [PATCH 34/42] New package: python3-scandir-1.10.0

---
 srcpkgs/python-scandir/template | 21 ++++++++++++++++-----
 srcpkgs/python3-scandir         |  1 +
 2 files changed, 17 insertions(+), 5 deletions(-)
 create mode 120000 srcpkgs/python3-scandir

diff --git a/srcpkgs/python-scandir/template b/srcpkgs/python-scandir/template
index 87d822adfe9..774fac91b8f 100644
--- a/srcpkgs/python-scandir/template
+++ b/srcpkgs/python-scandir/template
@@ -1,19 +1,30 @@
 # Template file for 'python-scandir'
 pkgname=python-scandir
 version=1.10.0
-revision=1
+revision=2
 wrksrc="scandir-${version}"
-build_style=python2-module
+build_style=python-module
 pycompile_module="scandir.py"
-hostmakedepends="python-setuptools"
-makedepends="python-devel"
-short_desc="Backport of the scandir module from Python 3.5+"
+hostmakedepends="python-setuptools python3-setuptools"
+makedepends="python-devel python3-devel"
+depends="python"
+short_desc="Better directory iterator and faster os.walk() (Python2)"
 maintainer="Alessio Sergi <al3hex@gmail.com>"
 license="BSD-3-Clause"
 homepage="https://github.com/benhoyt/scandir"
 distfiles="${PYPI_SITE}/s/scandir/scandir-${version}.tar.gz"
 checksum=4d4631f6062e658e9007ab3149a9b914f3548cb38bfb021c64f39a025ce578ae
 
+python3-scandir_package() {
+	pycompile_module="scandir.py"
+	depends="python3"
+	short_desc="${short_desc/Python2/Python3}"
+	pkg_install() {
+		vmove usr/lib/python3*
+		vlicense LICENSE.txt
+	}
+}
+
 post_install() {
 	vlicense LICENSE.txt
 }
diff --git a/srcpkgs/python3-scandir b/srcpkgs/python3-scandir
new file mode 120000
index 00000000000..a572ade2d3e
--- /dev/null
+++ b/srcpkgs/python3-scandir
@@ -0,0 +1 @@
+python-scandir
\ No newline at end of file

